Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.ri.compiler
Class Constant

    java.lang.Object
      org.apache.commons.jxpath.ri.compiler.Expression
          org.apache.commons.jxpath.ri.compiler.Constant

    public class Constant

extends Expression

A compile tree element containing a constant number or string.

Version:
  $Revision: 652845 $ $Date: 2008-05-02 12:46:46 -0500 (Fri, 02 May 2008) $
Author:
  Dmitri Plotnikov

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.commons.jxpath.ri.compiler.Expression
`Expression.PointerIterator, Expression.ValueIterator`

Field Summary

Fields inherited from class org.apache.commons.jxpath.ri.compiler.Expression
`NOT_A_NUMBER, ONE, ZERO`

Constructor Summary
`Constant(Number number)` Create a new Constant.
`Constant(String string)` Create a new Constant.

Method Summary
`Object` | `compute(EvalContext context)` Evaluates the expression.
`boolean` | `computeContextDependent()` Returns false
`Object` | `computeValue(EvalContext context)` Evaluates the expression.
`boolean` | `isContextDependent()` Returns false
`String` | `toString()`

Methods inherited from class org.apache.commons.jxpath.ri.compiler.Expression
`iterate, iteratePointers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Constant

    public Constant(Number number)

  Create a new Constant.

  Parameters:
    `number` - constant

### Constant

    public Constant(String string)

  Create a new Constant.

  Parameters:
    `string` - constant

Method Detail

### compute

    public Object compute(EvalContext context)

  Description copied from class: `Expression`
  Evaluates the expression. If the result is a node set, returns the first element of the node set.

  Specified by:
    `compute` in class `Expression`
  Parameters:
    `context` - evaluation context
  Returns:
    Object

### computeValue

    public Object computeValue(EvalContext context)

  Description copied from class: `Expression`
  Evaluates the expression. If the result is a node set, returns the first element of the node set.

  Specified by:
    `computeValue` in class `Expression`
  Parameters:
    `context` - evaluation context
  Returns:
    Object

### isContextDependent

    public boolean isContextDependent()

  Returns false

  Overrides:
    `isContextDependent` in class `Expression`
  Returns:
    false

### computeContextDependent

    public boolean computeContextDependent()

  Returns false

  Specified by:
    `computeContextDependent` in class `Expression`
  Returns:
    false

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.